TransformerWeighting (Mule ESB 2.2.1 API)
Keywords: org.mule.transformer.TransformerWeighting class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transformer
Class TransformerWeighting

    java.lang.Object
      org.mule.transformer.TransformerWeighting

All Implemented Interfaces:
  Comparable

    public class TransformerWeighting

extends Object
implements Comparable

Given a `Transformer` instance, an input class and output class this object will create a weighting for a transformer. This weighthing can be used compare one transformer with another, which can be useful for choosing a transformer to use given the input class and required output class.

Constructor Summary
`TransformerWeighting(Class inputClass, Class outputClass, Transformer transformer)`

Method Summary
`int` | `compareTo(Object o)`
`boolean` | `equals(Object o)`
`Class` | `getInputClass()`
`int` | `getInputWeighting()`
`Class` | `getOutputClass()`
`int` | `getOutputWeighting()`
`Transformer` | `getTransformer()`
`protected int` | `getWeighting(int weighting, Class src, Class dest)`
`int` | `hashCode()`
`boolean` | `isExactMatch()`
`boolean` | `isNotMatch()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformerWeighting

    public TransformerWeighting(Class inputClass,
                                Class outputClass,
                                Transformer transformer)

Method Detail

### getWeighting

    protected int getWeighting(int weighting,
                               Class src,
                               Class dest)

### getInputClass

    public Class getInputClass()

### getInputWeighting

    public int getInputWeighting()

### getOutputClass

    public Class getOutputClass()

### getOutputWeighting

    public int getOutputWeighting()

### getTransformer

    public Transformer getTransformer()

### isExactMatch

    public boolean isExactMatch()

### isNotMatch

    public boolean isNotMatch()

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.